CREATE TABLE fnd_appl_taxonomy (
    ENTERPRISE_ID           NUMBER(18, 0) ,
    MODULE_ID               VARCHAR2(128) ,
    PRODUCT_LINE            NUMBER(15, 0)     NOT NULL,
    MODULE_NAME             VARCHAR2(4000)    NOT NULL,
    MODULE_TYPE             VARCHAR2(120)     NOT NULL,
    MODULE_KEY              VARCHAR2(400) ,
    PRODUCT_CODE            VARCHAR2(120) ,
    ALTERNATIVE_ID          NUMBER        ,
    USAGE_TYPE              VARCHAR2(120)     NOT NULL,
    IS_SEED_DATA_ALLOWED    VARCHAR2(4)   ,
    PILLAR_NAME             VARCHAR2(120) ,
    WEBAPP_SHORT_NAME       VARCHAR2(1280),
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128) ,
    START_DATE              TIMESTAMP(6)  ,
    END_DATE                TIMESTAMP(6)  ,
    SEED_DATA_SOURCE        VARCHAR2(2048),
    IS_VALID                VARCHAR2(4)   ,
    ORA_SEED_SET1           VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2           VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID           NUMBER(18, 0) ,
    MODULE_ID               VARCHAR2(128) ,
    PRODUCT_LINE            NUMBER(15, 0)     NOT NULL,
    MODULE_NAME             VARCHAR2(4000)    NOT NULL,
    MODULE_TYPE             VARCHAR2(120)     NOT NULL,
    MODULE_KEY              VARCHAR2(400) ,
    PRODUCT_CODE            VARCHAR2(120) ,
    ALTERNATIVE_ID          NUMBER        ,
    USAGE_TYPE              VARCHAR2(120)     NOT NULL,
    IS_SEED_DATA_ALLOWED    VARCHAR2(4)   ,
    PILLAR_NAME             VARCHAR2(120) ,
    WEBAPP_SHORT_NAME       VARCHAR2(1280),
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128) ,
    START_DATE              TIMESTAMP(6)  ,
    END_DATE                TIMESTAMP(6)  ,
    SEED_DATA_SOURCE        VARCHAR2(2048),
    IS_VALID                VARCHAR2(4)   ,
    ORA_SEED_SET1           VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2           VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_appl_taxonomy PRIMARY KEY (ENTERPRISE_ID, MODULE_ID, ENTERPRISE_ID, MODULE_ID)
);
